VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   9675
   ClientLeft      =   2490
   ClientTop       =   1545
   ClientWidth     =   6555
   LinkTopic       =   "Form1"
   ScaleHeight     =   9675
   ScaleWidth      =   6555
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public TV As New TrueVision8
Public TexFactory As New TextureFactory8
Public Land As New Landscape8
Public Scene As New Scene8
Public Inp As New InputEngine8


Dim Posx As Single, Posy As Single, posz As Single, ang As Single
Private Sub Form_Load()
Dim b As Integer
  
 TV.ShowDriverDialog
  
 If TV.Initialize = False Then
   MsgBox "TrueVision Error : Send the c:\Debug8.dat to Sylvain at Sylvain@truevision3d.com. Thanks for your help !"
   End
 End If
 
 TexFactory.LoadTexture App.Path + "\tex.bmp", "Terrain"
 Scene.SetSceneBackGround 1, 1, 0.5
 Land.SetFactorY 0.2
 
 Land.GenerateTerrain App.Path + "\height.jpg", TV_PRECISION_HIGH, 0, 0
 Land.GenerateTerrain App.Path + "\height.jpg", TV_PRECISION_HIGH, 256, 0
 Land.GenerateTerrain App.Path + "\height.jpg", TV_PRECISION_HIGH, 0, 256
 Land.GenerateTerrain App.Path + "\height.jpg", TV_PRECISION_HIGH, 256, 256
 Land.SetTexture GetTex("Terrain")


On Error GoTo ErrTreat

 Do
   
   TV.Clear
   Land.Render
   TV.RenderToScreen
   If Inp.IsKeyPressed(TV_KEY_1) = True Then
     Scene.SetRenderMode TV_LINE
   End If
   If Inp.IsKeyPressed(TV_KEY_2) = True Then
     Scene.SetRenderMode TV_POINT
   End If
   If Inp.IsKeyPressed(TV_KEY_3) = True Then
     Scene.SetRenderMode TV_SOLID
   End If
   
   If Inp.IsKeyPressed(TV_KEY_UP) = True Then
       Posx = Posx + Cos(ang) * TV.TimeElapsed * 0.05
       posz = posz + Sin(ang) * TV.TimeElapsed * 0.05
   End If
   If Inp.IsKeyPressed(TV_KEY_DOWN) = True Then
       Posx = Posx - Cos(ang) * TV.TimeElapsed * 0.05
       posz = posz - Sin(ang) * TV.TimeElapsed * 0.05
   End If
   If Inp.IsKeyPressed(TV_KEY_LEFT) = True Then
       ang = ang + TV.TimeElapsed * 0.005
   End If
   If Inp.IsKeyPressed(TV_KEY_RIGHT) = True Then
       ang = ang - TV.TimeElapsed * 0.005
   End If
   Posy = Land.GetHeight(Posx, posz) + 10
   Scene.SetCamera Posx, Posy, posz, Posx + Cos(ang), Posy, posz + Sin(ang)
     
   
 Loop Until Inp.IsKeyPressed(TV_KEY_ESCAPE) = True

 Set TV = Nothing
 End
 Exit Sub
ErrTreat:
 Debug.Print Err.Description, Err.Number
 Resume Next
End Sub




